import { DVCOptions, DVCUser, DVCJSON } from './types';
declare type StaticData = Pick<DVCPopulatedUser, 'createdDate' | 'platform' | 'platformVersion' | 'deviceModel' | 'sdkType' | 'sdkVersion'>;
export declare class DVCPopulatedUser implements DVCUser {
    readonly isAnonymous: boolean;
    readonly user_id: string;
    readonly email?: string;
    readonly name?: string;
    readonly language?: string;
    readonly country?: string;
    readonly appVersion?: string;
    readonly appBuild?: number;
    readonly customData?: DVCJSON;
    readonly privateCustomData?: DVCJSON;
    readonly lastSeenDate: Date;
    readonly createdDate: Date;
    readonly platform: string;
    readonly platformVersion: string;
    readonly deviceModel: string;
    readonly sdkType: 'client';
    readonly sdkVersion: string;
    constructor(user: DVCUser, options: DVCOptions, staticData?: StaticData, anonymousUserId?: string);
    getStaticData(): StaticData;
    updateUser(user: DVCUser, options: DVCOptions): DVCPopulatedUser;
}
export {};
